Commit d950cde5 authored by Benjamin Chodoroff's avatar Benjamin Chodoroff
Browse files

downgrade koa to 4.1.1

this still fixes the security issue but is still compatible with our other koa stuff
parent 3e76defe
......@@ -2359,7 +2359,7 @@ composition@^2.1.1:
any-promise "^1.1.0"
co "^4.0.2"
compressible@2, compressible@^2.0.6:
compressible@2, compressible@~2.0.6:
version "2.0.12"
resolved "https://registry.yarnpkg.com/compressible/-/compressible-2.0.12.tgz#c59a5c99db76767e9876500e271ef63b3493bd66"
dependencies:
......@@ -3950,6 +3950,10 @@ fs-readdir-recursive@^1.0.0:
version "1.1.0"
resolved "https://registry.yarnpkg.com/fs-readdir-recursive/-/fs-readdir-recursive-1.1.0.tgz#e32fc030a2ccee44a6b5371308da54be0b397d27"
fs-readdir-recursive@~1.0.0:
version "1.0.0"
resolved "https://registry.yarnpkg.com/fs-readdir-recursive/-/fs-readdir-recursive-1.0.0.tgz#8cd1745c8b4f8a29c8caec392476921ba195f560"
fs.realpath@^1.0.0:
version "1.0.0"
resolved "https://registry.yarnpkg.com/fs.realpath/-/fs.realpath-1.0.0.tgz#1504ad2523158caa40db4a2787cb01411994ea4f"
......@@ -5612,15 +5616,15 @@ koa-session@3, koa-session@3.4.0:
debug "^2.2.0"
deep-equal "^1.0.0"
koa-static-cache@5.1.2:
version "5.1.2"
resolved "https://registry.yarnpkg.com/koa-static-cache/-/koa-static-cache-5.1.2.tgz#49b592007157b164f5e9df5b276e305c8be5016a"
koa-static-cache@4.1.1:
version "4.1.1"
resolved "https://registry.yarnpkg.com/koa-static-cache/-/koa-static-cache-4.1.1.tgz#2f82885e155fd46591ccb5d22f3f6a0d17d63982"
dependencies:
compressible "^2.0.6"
debug "^3.1.0"
fs-readdir-recursive "^1.0.0"
mime-types "^2.1.8"
mz "^2.7.0"
compressible "~2.0.6"
debug "*"
fs-readdir-recursive "~1.0.0"
mime-types "~2.1.8"
mz "~2.4.0"
koa-webpack-dev-middleware@1.4.6:
version "1.4.6"
......@@ -6172,7 +6176,7 @@ mime-db@~1.30.0:
version "1.30.0"
resolved "https://registry.yarnpkg.com/mime-db/-/mime-db-1.30.0.tgz#74c643da2dd9d6a45399963465b26d5ca7d71f01"
mime-types@^2.0.7, mime-types@^2.1.12, mime-types@^2.1.3, mime-types@^2.1.8, mime-types@~2.1.15, mime-types@~2.1.16, mime-types@~2.1.17, mime-types@~2.1.7:
mime-types@^2.0.7, mime-types@^2.1.12, mime-types@^2.1.3, mime-types@~2.1.15, mime-types@~2.1.16, mime-types@~2.1.17, mime-types@~2.1.7, mime-types@~2.1.8:
version "2.1.17"
resolved "https://registry.yarnpkg.com/mime-types/-/mime-types-2.1.17.tgz#09d7a393f03e995a79f8af857b70a9e0ab16557a"
dependencies:
......@@ -6302,7 +6306,7 @@ mz@1:
thenify "3"
thenify-all "1"
mz@^2.0.0, mz@^2.1.0, mz@^2.7.0:
mz@^2.0.0, mz@^2.1.0:
version "2.7.0"
resolved "https://registry.yarnpkg.com/mz/-/mz-2.7.0.tgz#95008057a56cafadc2bc63dde7f9ff6955948e32"
dependencies:
......@@ -6310,6 +6314,14 @@ mz@^2.0.0, mz@^2.1.0, mz@^2.7.0:
object-assign "^4.0.1"
thenify-all "^1.0.0"
mz@~2.4.0:
version "2.4.0"
resolved "https://registry.yarnpkg.com/mz/-/mz-2.4.0.tgz#987ba9624d89395388c37cb4741e2caf4dd13b1a"
dependencies:
any-promise "^1.0.0"
object-assign "^4.0.1"
thenify-all "^1.0.0"
nan@^2.3.0, nan@^2.3.2, nan@^2.3.3:
version "2.8.0"
resolved "https://registry.yarnpkg.com/nan/-/nan-2.8.0.tgz#ed715f3fe9de02b57a5e6252d90a96675e1f085a"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment